Bug 1208454 - Review Request: python-barbicanclient - Client Library for OpenStack Barbican Key Management API
Summary: Review Request: python-barbicanclient - Client Library for OpenStack Barbican...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-02 10:10 UTC by Chandan Kumar
Modified: 2015-06-05 23:50 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-05 23:50:33 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chandan Kumar 2015-04-02 10:10:33 UTC
Spec URL: https://chandankumar.fedorapeople.org/python-barbicanclient.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-barbicanclient-3.0.3-1.fc21.src.rpm
Description: This is a client for the Barbican Key Management API. There is a
Python library for accessing the API (barbicanclient module), and 
a command-line script (barbican).

Fedora Account System Username: chandankumar

Comment 1 Haïkel Guémar 2015-04-02 12:22:03 UTC
1. drop the pypi_name macro, it's the same as %{name}
2. python-argparse is not required, argparse is part of the standard library since python 2.7
3. Alan set python-netifaces as a requirement of python-oslo-utils
4. clients are likely to be rebuilt on EL6, so I suggest having compatibility macros
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif
%{!?_licensedir:%global license %%doc}

Comment 2 Chandan Kumar 2015-04-02 15:57:09 UTC
Hey Haikal,

Thanks for the review.
I have updated the spec file and srpm.
Please have a look.

Thanks,

Chandan Kumar

Comment 3 Haïkel Guémar 2015-04-03 14:02:06 UTC
Please drop the line "sphinx-build -b man source man"
It's neither installed in the package, nor the generated man page useful (it has almost no content)


Except that minor point, everything else, so I'll let you do the cleanup at import time.
Therefore, I hereby approve this package into Fedora Packages Collection, please
submit a SCM request.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     3 files have unknown license. Detailed output of licensecheck in
     /home/haikel/1208454-python-barbicanclient/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     barbicanclient-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-barbicanclient-3.0.3-1.fc23.noarch.rpm
          python-barbicanclient-doc-3.0.3-1.fc23.noarch.rpm
          python-barbicanclient-3.0.3-1.fc23.src.rpm
python-barbicanclient.noarch: W: no-manual-page-for-binary barbican
python-barbicanclient.src: W: spelling-error %description -l en_US barbican -> barbarian, barbaric, bicarb
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python-barbicanclient-doc (rpmlib, GLIBC filtered):

python-barbicanclient (rpmlib, GLIBC filtered):
    /usr/bin/python2
    pyparsing
    python(abi)
    python-babel
    python-cliff
    python-cmd2
    python-iso8601
    python-keystoneclient
    python-msgpack
    python-netaddr
    python-oslo-config
    python-oslo-i18n
    python-oslo-serialization
    python-oslo-utils
    python-prettytable
    python-requests
    python-setuptools
    python-six
    python-stevedore
    pytz



Provides
--------
python-barbicanclient-doc:
    python-barbicanclient-doc

python-barbicanclient:
    python-barbicanclient



Source checksums
----------------
https://pypi.python.org/packages/source/p/python-barbicanclient/python-barbicanclient-3.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 959aca2ce3af2eed0f57e2fa9f0f9a484e40adc6b371e2c0fcc588aae9ca2b18
  CHECKSUM(SHA256) upstream package : 959aca2ce3af2eed0f57e2fa9f0f9a484e40adc6b371e2c0fcc588aae9ca2b18

Comment 4 Haïkel Guémar 2015-04-03 14:03:38 UTC
btw, don't forget to add jruzicka as co-owner in your SCM request as he is the main maintainer of OpenStack clients.

Comment 5 Chandan Kumar 2015-04-03 15:42:01 UTC
New Package SCM Request
=======================
Package Name: python-barbicanclient
Short Description:  Client Library for OpenStack Barbican Key Management API
Upstream URL: https://pypi.python.org/pypi/python-barbicanclient
Owners: chandankumar
Branches: f22
InitialCC: jruzicka

Comment 6 Haïkel Guémar 2015-04-03 16:26:19 UTC
I unset the cvs-flag, please add jruzicka in the Owners line or he will receive notifications without commit access.

Comment 7 Chandan Kumar 2015-04-03 16:34:31 UTC
New Package SCM Request
=======================
Package Name: python-barbicanclient
Short Description:  Client Library for OpenStack Barbican Key Management API
Upstream URL: https://pypi.python.org/pypi/python-barbicanclient
Owners: chandankumar jruzicka
Branches: f22
InitialCC: jruzicka

Comment 8 Gwyn Ciesla 2015-04-04 17:45:03 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-04-05 04:40:44 UTC
python-barbicanclient-3.0.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-barbicanclient-3.0.3-1.fc22

Comment 10 Fedora Update System 2015-04-05 17:54:52 UTC
python-barbicanclient-3.0.3-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 11 Fedora Update System 2015-06-05 23:50:33 UTC
python-barbicanclient-3.0.3-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.